Chuyển đến nội dung
Diễn đàn CADViet

VO HINH

Thành viên
  • Số lượng nội dung

    6
  • Đã tham gia

  • Lần ghé thăm cuối

Cộng đồng

0 (bình thường)

About VO HINH

  • Cấp bậc
    biết pan

Khách truy cập Tiểu sử gần đây

Khối khách truy cập gần đây đã bị vô hiệu và không được hiển thị cho người dùng khác.

  1. VO HINH

    Lisp thông kê danh mục bản vẽ

    Thank DungNguyen685 nhiều.
  2. VO HINH

    Lisp thông kê danh mục bản vẽ

    DungNguyen685 có thểm thêm lệnh để lisp hoàn chỉnh đc k? tạo bảng thổng kế sắp xếp tên và ký hiệu theo thứ tự kt 01- kt 02.....
  3. VO HINH

    Lisp thông kê danh mục bản vẽ

    ok rồi, thank DungNguyen685 nhiều.
  4. VO HINH

    Lisp thông kê danh mục bản vẽ

    đây bạn. test.dwg
  5. VO HINH

    Lisp thông kê danh mục bản vẽ

    Thank DungNguyen 685, em đã thay đổi nhưng vẫn k dc.
  6. VO HINH

    Lisp thông kê danh mục bản vẽ

    Mình có sưu tầm dc lisp thông kê ATT block, hiện tại phần STT đang hiển thị tên Block xin nhờ các cao nhân sửa giúp phần STT theo thứ tự 1-2-3-.... và chỉnh sửa lại lisp khi quét chuột tạo bảng thổng kế sắp xếp tên và ký hiệu theo thứ tự lisp : (Defun c:DM (/ at>att at>item at>set atable cnt cw ena nc nr pt rh) (vl-load-com) ;; GET_ATTS BY BILL KRAMER (defun get_ATTS (EN / EL ATTS) (setq EL (entget EN)) (setq ENA (cdr (assoc 2 EL))) ; wiz (if (and (= (cdr (assoc 0 EL)) "INSERT") (= (cdr (assoc 66 EL)) 1) ) ;_ end and (progn (setq EN (entnext EN) EL (entget EN) ) ;_ end setq (while (= (cdr (assoc 0 EL)) "ATTRIB") (setq ATTS (cons (list (vla-get-ObjectID (vlax-ename->vla-object EN) ) ; wiz (cdr (assoc 2 EL) ) ;_ end_cdr (cdr (assoc 1 EL)) ) ;_ end_list ATTS ) ;_ end_cons EN (entnext EN) EL (entget EN) ) ;_ end setq ) ;_ end while (list ena (reverse ATTS)) ; wiz ) ;_ end progn ) ;_ end if ) ;_ end_defun (if (setq at>set (ssget '((0 . "INSERT")))) (progn (setq at>att (mapcar 'get_atts (vl-remove-if 'listp (mapcar 'cadr (ssnamex at>set)) ) ;_ end_vl-remove-if ) ;_ end_mapcar ) ;_ end_setq (setq PT (getpoint "\nTable insertion point: ") RH (* 2.0 (getvar "TEXTSIZE")) CW (* 20.0 (getvar "TEXTSIZE")) NR (+ 2 (length at>att)) NC (1+ (length (cadar at>att))) ) ;_ end_setq (setq aTable (vla-addtable (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object) ) ;_ end_vla-get-activedocument ) ;_ end_vla-get-modelspace (vlax-3d-point PT) NR NC RH CW ) ;_ end_vla-addtable ) ;_ end_setq (vla-setcellvalue aTable 0 0 "DANH MUC BAN VE") (vla-setcellvalue aTable 1 0 "STT") (vla-setcellvalue aTable 1 1 "TEN BAN VE") (vla-setcellvalue aTable 1 2 "KY HIEU") (vla-MergeCells aTable 1 1 2 (length (cadar at>att))) (setq CNT 2) ;_ end_setq (foreach Item at>att (vla-setcellvalue aTable CNT 0 (car Item)) (setq at>item 1) (while (<= at>item (length (cadar at>att))) (vl-catch-all-apply '(lambda () (vla-settext aTable CNT at>item (strcat "%<\\AcObjProp Object(%<\\_ObjId " (itoa (car (nth (1- at>item) (cadr Item)))) ">%).TextString>%" ) ;_ end_strcat ) ;_ end_vla-setcellvalue ) ;_ end_lambda ) ;_ end_vl-catch-all-apply (setq at>item (1+ at>item)) ) ;_ end_while (setq CNT (1+ CNT)) ;;ready next row ) ;_ end_foreach ) ;_ end_progn ) ;_ end_if (princ) ) ;_ end_Defun
×